Class QueryPatientResourceResponseMessage
java.lang.Object
org.hl7.fhir.r4.model.Base
org.hl7.fhir.r4.model.BaseResource
org.hl7.fhir.r4.model.Resource
org.hl7.fhir.r4.model.Bundle
org.openehealth.ipf.commons.ihe.fhir.pixpdq.model.QueryPatientResourceResponseMessage
- All Implemented Interfaces:
IElement, Serializable, IAnyResource, IBase, IBaseBundle, IBaseResource
Bundle for ITI-78 Mobile Patient Demographics Query Response as defined by the PDQm specification.
This is a searchset Bundle containing Patient resources that match the query parameters.
- Since:
- 5.2
- Author:
- Christian Ohr
- See Also:
-
Nested Class Summary
Nested classes/interfaces inherited from class Bundle
Bundle.BundleEntryComponent, Bundle.BundleEntryRequestComponent, Bundle.BundleEntryResponseComponent, Bundle.BundleEntrySearchComponent, Bundle.BundleLinkComponent, Bundle.BundleType, Bundle.BundleTypeEnumFactory, Bundle.HTTPVerb, Bundle.HTTPVerbEnumFactory, Bundle.SearchEntryMode, Bundle.SearchEntryModeEnumFactory -
Field Summary
Fields inherited from class Bundle
COMPOSITION, entry, identifier, IDENTIFIER, INCLUDE_COMPOSITION, INCLUDE_MESSAGE, link, MESSAGE, signature, SP_COMPOSITION, SP_IDENTIFIER, SP_MESSAGE, SP_TIMESTAMP, SP_TYPE, timestamp, TIMESTAMP, total, type, TYPEFields inherited from class Resource
id, implicitRules, language, metaFields inherited from interface IAnyResource
RES_ID, RES_LAST_UPDATED, RES_PROFILE, RES_SECURITY, RES_TAG, SP_RES_ID, SP_RES_LAST_UPDATED, SP_RES_PROFILE, SP_RES_SECURITY, SP_RES_TAGFields inherited from interface IBaseBundle
LINK_NEXT, LINK_PREV, LINK_SELFFields inherited from interface IBaseResource
INCLUDE_ALL, WILDCARD_ALL_SET -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionaddPatient(PdqmPatient patient) Add a patient to the response bundlecopy()voidintGet the number of patients in the responseGet all patients from the response bundlebooleanCheck if the response contains any patientsMethods inherited from class Bundle
addChild, addEntry, addEntry, addLink, addLink, copyValues, equalsDeep, equalsShallow, fhirType, getEntry, getEntryFirstRep, getIdentifier, getLink, getLink, getLinkFirstRep, getLinkOrCreate, getNamedProperty, getProperty, getResourceType, getSignature, getTimestamp, getTimestampElement, getTotal, getTotalElement, getType, getTypeElement, getTypesForProperty, hasEntry, hasIdentifier, hasLink, hasSignature, hasTimestamp, hasTimestampElement, hasTotal, hasTotalElement, hasType, hasTypeElement, isEmpty, listChildren, makeProperty, removeChild, setEntry, setIdentifier, setLink, setProperty, setProperty, setSignature, setTimestamp, setTimestampElement, setTotal, setTotalElement, setType, setTypeElement, typedCopyMethods inherited from class Resource
copyValues, getId, getIdBase, getIdElement, getIdPart, getImplicitRules, getImplicitRulesElement, getLanguage, getLanguage, getLanguageElement, getMeta, hasId, hasIdElement, hasImplicitRules, hasImplicitRulesElement, hasLanguage, hasLanguageElement, hasMeta, setId, setIdBase, setIdElement, setImplicitRules, setImplicitRulesElement, setLanguage, setLanguageElement, setMetaMethods inherited from class BaseResource
getStructureFhirVersionEnum, isResource, setIdMethods inherited from class Base
castToAddress, castToAnnotation, castToAttachment, castToBase64Binary, castToBoolean, castToCanonical, castToCode, castToCodeableConcept, castToCoding, castToContactDetail, castToContactPoint, castToContributor, castToDataRequirement, castToDate, castToDateTime, castToDecimal, castToDosage, castToDuration, castToElementDefinition, castToExpression, castToExtension, castToHumanName, castToId, castToIdentifier, castToInstant, castToInteger, castToMarkdown, castToMarketingStatus, castToMeta, castToMoney, castToNarrative, castToOid, castToParameterDefinition, castToPeriod, castToPopulation, castToPositiveInt, castToProdCharacteristic, castToProductShelfLife, castToQuantity, castToRange, castToRatio, castToReference, castToRelatedArtifact, castToResource, castToSampledData, castToSignature, castToSimpleQuantity, castToString, castToSubstanceAmount, castToTime, castToTiming, castToTriggerDefinition, castToType, castToUnsignedInt, castToUri, castToUrl, castToUsageContext, castToXhtml, castToXhtmlString, children, clearUserData, compareDeep, compareDeep, compareDeep, compareDeep, compareValues, compareValues, copyValues, dateTimeValue, equals, getChildByName, getChildValueByName, getFormatCommentsPost, getFormatCommentsPre, getNamedProperty, getUserData, getUserInt, getUserString, getXhtml, hasFormatComment, hasPrimitiveValue, hasType, hasUserData, isBooleanPrimitive, isDateTime, isMetadataBased, isPrimitive, listChildrenByName, listChildrenByName, primitiveValue, setUserData, setUserDataINN, setXhtmlMethods inherited from class Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface IAnyResource
getUserData, setUserDataMethods inherited from interface IBase
getFormatCommentsPost, getFormatCommentsPre, hasFormatCommentMethods inherited from interface IBaseResource
getMeta, getStructureFhirVersionEnum, isDeleted, setId
-
Constructor Details
-
QueryPatientResourceResponseMessage
public QueryPatientResourceResponseMessage()
-
-
Method Details
-
copy
-
copyValues
-
getPatients
-
hasPatients
public boolean hasPatients()Check if the response contains any patients- Returns:
- true if there are patients in the response
-
getPatientCount
public int getPatientCount()Get the number of patients in the response- Returns:
- count of patients
-
addPatient
Add a patient to the response bundle- Parameters:
patient- the PdqmPatient to add- Returns:
- this bundle for method chaining
-